List accounts
curl --request GET \
--url https://api.next.orenda.finance/v1/customers/{customerId}/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.next.orenda.finance/v1/customers/{customerId}/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.next.orenda.finance/v1/customers/{customerId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"accountId": "acc_7c1d8e4a",
"name": "Ada Lovelace",
"currency": "GBP",
"balance": "1250.00",
"availableBalance": "1180.00",
"status": "Active",
"accountType": "Current",
"accountNumber": "87654321",
"sortCode": "040506",
"bic": "NWBKGB2L",
"bankName": "Orenda Bank",
"virtualIbans": [
"GB29NWBK60161331926819"
],
"balances": [
{
"currency": "GBP",
"balance": "1250.00"
}
],
"limits": {
"accountSingle": 5000,
"accountDaily": 10000,
"accountMonthly": 50000,
"usedDaily": 320,
"usedMonthly": 8750,
"maximumSingle": 10000,
"maximumDaily": 25000,
"maximumMonthly": 100000
}
},
{
"accountId": "acc_9b2e5f7d",
"name": "Ada Lovelace",
"currency": "EUR",
"balance": "640.00",
"availableBalance": "640.00",
"status": "Active",
"accountType": "Current",
"iban": "DE89370400440532013000",
"bic": "ORNDDEFF",
"bankName": "Orenda Bank",
"virtualIbans": [],
"balances": [
{
"currency": "EUR",
"balance": "640.00"
}
]
}
],
"total": 2,
"page": 1,
"limit": 10
}{
"success": false,
"code": "<string>",
"message": "<string>"
}Accounts
List accounts
Returns the customer’s accounts with balances and bank details. Pending accounts (still being created) are not included. Filter with the query parameters; all filters accept comma-separated values.
GET
/
v1
/
customers
/
{customerId}
/
accounts
List accounts
Authorizations
The user's access token.
Path Parameters
The customer's ID.
Query Parameters
Filter by account ID(s), comma-separated.
Filter by currency code(s), e.g. GBP,EUR.
Filter by status, e.g. Active.
Items per page.
Available options:
asc, desc ⌘I